
Redmine - Defect #13220

Error thrown when watching an issue, issue is not watched. 

2013-02-19 23:05 - Jason Diller

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.2.2

Description

Whenever anyone in our organization tries to watch an issue by clicking the "Watch" icon/button, the operation fails silently (to the

user). The logs contain this error:

Started POST "/watchers/watch?object_id=20628&object_type=issue" for 10.5.0.198 at 2013-02-19 16:0

3:51 -0500

REXML::ParseException (#<RuntimeError: Illegal character '&' in raw string "project_id=undefined&a

uthenticity_token={token}">

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/text.rb:154:in `block in check'

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/text.rb:152:in `scan'

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/text.rb:152:in `check'

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/text.rb:119:in `initialize'

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/parsers/treeparser.rb:46:in `new'

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/parsers/treeparser.rb:46:in `parse'

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/document.rb:231:in `build'

/usr/local/rvm/rubies/ruby-1.9.3-p374/lib/ruby/1.9.1/rexml/document.rb:43:in `initialize'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/xml_mini/rexml.rb

:30:in `new'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/xml_mini/rexml.rb

:30:in `parse'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/xml_mini.rb:80:in

 `parse'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/core_ext/hash/con

versions.rb:98:in `from_xml'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/params_p

arser.rb:41:in `parse_formatted_parameters'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/params_p

arser.rb:17:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/flash.rb

:242:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-1.4.4/lib/rack/session/abstract/id.rb:210:in `contex

t'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-1.4.4/lib/rack/session/abstract/id.rb:205:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/cookies.

rb:341:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activerecord-3.2.11/lib/active_record/query_cache.rb:64:i

n `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activerecord-3.2.11/lib/active_record/connection_adapters

/abstract/connection_pool.rb:479:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/callback

s.rb:28:in `block in call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/callbacks.rb:405:

in `_run__2398120231800232602__call__4024316422903136015__callbacks'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/callbacks.rb:405:

in `__run_callback'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/callbacks.rb:385:

in `_run_call_callbacks'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/callbacks.rb:81:i

n `run_callbacks'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/callback

s.rb:27:in `call'
/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/remote_i

p.rb:31:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/debug_ex

ceptions.rb:16:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/show_exc

eptions.rb:56:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/railties-3.2.11/lib/rails/rack/logger.rb:32:in `call_app'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/railties-3.2.11/lib/rails/rack/logger.rb:16:in `block in 

call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/tagged_logging.rb

:22:in `tagged'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/railties-3.2.11/lib/rails/rack/logger.rb:16:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/request_

id.rb:22:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-1.4.4/lib/rack/methodoverride.rb:21:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-1.4.4/lib/rack/runtime.rb:17:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/activesupport-3.2.11/lib/active_support/cache/strategy/lo

cal_cache.rb:72:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-1.4.4/lib/rack/lock.rb:15:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/actionpack-3.2.11/lib/action_dispatch/middleware/static.r

b:62:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalida

te'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/railties-3.2.11/lib/rails/engine.rb:479:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/railties-3.2.11/lib/rails/application.rb:223:in `call'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/railties-3.2.11/lib/rails/railtie/configurable.rb:30:in `

method_missing'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/rack/request_handl

er.rb:96:in `process_request'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_request_h

andler.rb:516:in `accept_and_process_next_request'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_request_h

andler.rb:274:in `main_loop'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/rack/application_s

pawner.rb:206:in `start_request_handler'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/rack/application_s

pawner.rb:171:in `block in handle_spawn_application'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/utils.rb:470:in `s

afe_fork'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/rack/application_s

pawner.rb:166:in `handle_spawn_application'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server.rb

:357:in `server_main_loop'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server.rb

:206:in `start_synchronously'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server.rb

:180:in `start'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/rack/application_s

pawner.rb:129:in `start'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/spawn_manager.rb:2

53:in `block (2 levels) in spawn_rack_application'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server_co

llection.rb:132:in `lookup_or_add'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/spawn_manager.rb:2

46:in `block in spawn_rack_application'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server_co

llection.rb:82:in `block in synchronize'

<internal:prelude>:10:in `synchronize'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server_co

llection.rb:79:in `synchronize'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/spawn_manager.rb:2

44:in `spawn_rack_application'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/spawn_manager.rb:1
37:in `spawn_application'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/spawn_manager.rb:2

75:in `handle_spawn_application'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server.rb

:357:in `server_main_loop'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/lib/phusion_passenger/abstract_server.rb

:206:in `start_synchronously'

/usr/local/rvm/gems/ruby-1.9.3-p374/gems/passenger-3.0.19/helper-scripts/passenger-spawn-server:99

:in `<main>'

 Here are the details of our installation:

Environment:

  Redmine version                          2.2.2.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.11

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  redmine_backlogs                         v0.9.35

  redmine_internal_macros                0.0.3

  redmine_internal_ui                    0.0.2

  redmine_release_calendar                 0.0.1

History

#1 - 2013-02-19 23:45 - Jean-Philippe Lang

- Resolution set to Cant reproduce

There's no XML parsing involved in Redmine core when watching an issue.

#2 - 2013-02-20 17:18 - Jason Diller

- Status changed from New to Resolved

Problem seems to exist in redmine_backlogs plugin. Watching an issue works if it is removed. I'll see if I can track down a resolution from them.

#3 - 2013-02-20 18:06 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid
